GET /media
modjourn.org:modernist-journals-project-api
Summary: Get media (images and attachments)
Operation ID: getMedia
Auth: none
Operation ID: getMedia
Auth: none
Description
Retrieve media items including journal cover images and other attachments
Parameters (4)
media_type
(string, query, optional)
Filter by media type
Constraints: {'enum': ['image', 'video', 'text', 'application', 'audio']}
page
(integer, query, optional, default: 1)
Current page of the collection
per_page
(integer, query, optional, default: 10)
Maximum number of items to return (1-100)
Constraints: {'maximum': 100}
search
(string, query, optional)
Search term to filter media
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List all media with default pagination | curl |
https://modjourn.org/media |
|
| Filter by image type with custom pagination | curl |
https://modjourn.org/media?media_type=image&page=1&per_page=25 |
|
| Search for journal covers | curl |
https://modjourn.org/media?search=cover&per_page=50 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:24:44.597067 | 404 | 1089ms | |
| 2026-03-23 10:15:24.095035 | 404 | 1073ms | |
| 2026-03-23 09:44:13.687826 | 404 | 4108ms |